
Redmine - Defect #41714

Replace search and magnifier icons with SVG icon

2024-11-08 11:14 - Bernhard Rohloff

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.2   

Resolution: Fixed Affected version:  

Description

There's also the checkmark showing the current project. It's different from the normal checkmark already so I think it's not that big of

a deal.

 clipboard-202411081112-ztkcf.png 

Related issues:

Related to Redmine - Feature #23980: Replace icon images with Tabler SVG icons Closed

Has duplicate Redmine - Defect #41877: Add 'Related Issue' icon in Issue page... Closed

Associated revisions

Revision 23368 - 2024-12-09 00:52 - Marius BĂLTEANU

Replaces legacy magnifier icon with SVG icon in project jump and in search field from mobile view (#41714).

Revision 23369 - 2024-12-09 01:10 - Marius BĂLTEANU

Replaces background image for autocomplete fields from legacy magnifier to SVG icon (#41714).

Revision 23375 - 2024-12-09 22:35 - Marius BĂLTEANU

Merge r23368 and r23369 from trunk to 6.0-stable (#41714).

History

#1 - 2024-11-10 11:28 - Bernhard Rohloff

- Related to Feature #23980: Replace icon images with Tabler SVG icons added

#2 - 2024-11-11 19:38 - Marius BĂLTEANU

- Target version set to 6.0.1

#3 - 2024-11-12 09:46 - Marius BĂLTEANU

- Target version changed from 6.0.1 to 6.0.2

#4 - 2024-11-18 23:21 - Marius BĂLTEANU

- File 0001-Replaces-legacy-magnifier-icon-with-SVG-icon-in-proj.patch added

- Assignee set to Marius BĂLTEANU

I've attached a patch that replaces the legacy search magnifier in project jump and also in the search file on mobile view.

#5 - 2024-11-19 07:43 - Takenori TAKAKI

- File 0002-Replaces-legacy-magnifier-icon-with-SVG-icon-in-issue-edit.patch added

- File clipboard-202411191542-x07gk.png added

- File clipboard-202411191542-otfrh.png added

I've confirmed that the quick-jump menu icon has been updated to an SVG using the patch attached in #note-4.

Additionally, I noticed that the legacy search magnifier icon still appears in the parent_issue field on the Issue edit screen, so I created an additional

patch to update it to an SVG as well.

→→
I've attached the additional patch here.

#6 - 2024-12-06 04:35 - Takenori TAKAKI

- File 0003-Replaces-legacy-magnifier-icon-with-SVG-icon-in-issue-relation.patch added

As reported in Issue #41877, the Add 'Related Issue' icon also appears to be an old icon.

 clipboard-202411262136-ptaou.png 

I suggest an additional patch to be added to #note-5.

#7 - 2024-12-06 06:34 - Mischa The Evil

Takenori TAKAKI: This issue (use of legacy search magnifier icon) seems to be affecting several more places within the UI as well:

1. user/group search in 'Add watchers dialog'

2. user/group search in 'New Member dialog'

3. issue search in 'Add related issue to changeset form'

1 and 2 can be seen in the screenshots you have posted in #41853#note-1 and 3 is based on the actual code itself (

source:/trunk/app/views/repositories/_related_issues.html.erb@23352#L35).

Most likely there are more throughout the whole system..

#8 - 2024-12-09 01:13 - Marius BĂLTEANU

- Subject changed from The search icon in the quick-jump menu still shows the old icon. to Replace search and magnifier icons with SVG icon

- Status changed from New to Resolved

- Resolution set to Fixed

For now I've changed only from CSS the background image for autocomplete fields to the new SVG icon. The proper implementation requires to

many changes.

#9 - 2024-12-09 01:24 - Marius BĂLTEANU

- Has duplicate Defect #41877: Add 'Related Issue' icon in Issue page is still the old one. added

#10 - 2024-12-09 22:35 - Marius BĂLTEANU

- Status changed from Resolved to Closed
